
QGIS Application - Bug report #2540

Join by attributes throws an error if a table contains fields with cyrrilics
Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 12600

Description

Though I understand this is not smart for the person to create such fields, field names in language other than English are typical and

better be handled.

See attachment for testing.

Error:

При выполнении Python-кода возникла ошибка:

Traceback (most recent call last):

  File "c:\\OSGeo4w\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doJoinAttributes.py", line 139, in inFile

    self.updateTableFields()

  File "c:\\OSGeo4w\\apps\\qgis-dev\\python\\plugins\\fTools\\tools\\doJoinAttributes.py", line 151, in updateTableFields

    self.joinField.addItem(unicode(i))

[[UnicodeDecodeError]]: 'ascii' codec can't decode byte 0x8f in position 0: ordinal not in range(128)

History

#1 - 2010-03-14 01:42 PM - Giovanni Manghi

while working today I spotted this python error when clicking on the "join by attributes" tool.

Traceback (most recent call last):

  File

"/usr/share/qgis/python/plugins/fTools/tools/doJoinAttributes.py", line

77, in jupdate

    self.jonField.clear()

[[AttributeError]]: 'Dialog' object has no attribute 'jonField'

Python version:

2.6.4 (commit:a676f188 (SVN r265):75706, Dec  7 2009, 19:02:09) 

[GCC 4.4.1]

nevertheless the error wasn't critical as it was possible to close the window and use normally the tool. I had a number of vectors in the project at the time

the error appeared.
Clicking the tool in an empty project or with other data in it didn't worked to reproduce the error.

#2 - 2010-05-07 10:04 AM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Open to Closed

Files

test.dbf 105 KB 2010-03-10 Maxim Dubinin

2025-05-17 2/2


